"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var path_1 = __importDefault(require("path"));
var typescript_1 = __importDefault(require("typescript"));
var lodash_1 = __importDefault(require("lodash"));
var fs_1 = __importDefault(require("fs"));
var transformer_1 = require("./transformer");
function main(modelsFilePath, outDirFilePath) {
    var program = typescript_1.default.createProgram([modelsFilePath], {});
    var source = program.getSourceFile(modelsFilePath);
    var printer = typescript_1.default.createPrinter();
    // Run source file through our transformer
    var result = typescript_1.default.transform(source, [transformer_1.transformer(program)]);
    // Create our output folder
    if (!fs_1.default.existsSync(outDirFilePath)) {
        fs_1.default.mkdirSync(outDirFilePath);
    }
    // Write pretty printed transformed typescript to output directory
    fs_1.default.writeFileSync(path_1.default.resolve(outDirFilePath, './models.ts'), printer.printFile(lodash_1.default.first(result.transformed)));
}
exports.main = main;
